{% extends 'layout.html' %}

{% block content %}
<div class="flex justify-center py-4">
    <input type="text" id="searchBar" placeholder="Search products..." class="px-4 py-2 border rounded-lg w-1/2 text-black">
</div>
{% with messages = get_flashed_messages() %}
  {% if messages %}
    <ul>
    {% for message in messages %}
      <li>{{ message }}</li>
    {% endfor %}
    </ul>
  {% endif %}
{% endwith %}
<div class="flex flex-col gap-6">
   {% for product in products %}
   <form class="grid grid-cols-2 lg:grid-cols-4 gap-8 p-8 bg-grey-dark gap-2 rounded-lg product-link" data-id="{{product.id}}" data-name="{{product.name}}" method="POST" >
        {% if product['picture'] == None %}
            <div class="w-12 h-12 rounded-md bg-yellow"></div>
        {% else %}
            <img class="w-12 h-12 rounded-md" src="https://api.tuks.dev{{ product['picture'] }}" alt="">
        {% endif %}
            <p class="text-yellow">{{ product['name'] }}</p>
        <input type="hidden" name="id" value="{{product['id']}}">
        <input class="py-2 px-2 text-grey-dark w-max" type="number" min="0" max="100" name="amount" placeholder="0" required>
        <button type="submit"><i class="icon w-8 h-auto stroke-2 hover:cursor-pointer" lucide="plus"></i></button>
    </form>

   {% endfor %}
</div>
<script>
    window.onload = function() {

        //Filter by product name
        document.getElementById('searchBar').addEventListener('input', (item) => {
            const searchTerm = item.target.value.toLowerCase();
            
            const products = document.querySelectorAll('.product-link');
        
            products.forEach(product => {
                const productName = product.getAttribute('data-name').toLowerCase();
                if (productName.includes(searchTerm)) {
                    product.style.display = 'grid';
                } else {
                    product.style.display = 'none';
                }
            });
        });
    };
</script>
{% endblock content %}
